.workTextContainer {
  display: flex;
  justify-content: center;
}

.workText {
  font-family: "Inter", sans-serif;
  color: #172b4d;
  font-weight: 700;
  font-size: 40px;
  text-align: center;
  line-height: 52px;
  padding-top: 22px;
  width: 70%;
}

.indicator {
  display: flex;
  justify-content: center;
  margin-top: 24px;
}

.indicatorImg {
  width: 48px;
  height: 4px;
  border-radius: 24px;
  background: #36b37e;
  display: flex;
  justify-content: center;
  align-items: center;
}

.workContainer {
  display: grid;
  grid-template-columns: 327px;
  grid-template-rows: repeat(3, 474px);
  row-gap: 24px;
  justify-content: center;
  padding-top: 62px;
}

.firstContainer {
  background: #ebf0ee;
  outline: 1px solid #d0d9d4;
  border-radius: 8px;
  background-repeat: no-repeat;
  background-size: 430px 280px;
}

.secondContainer {
  border-radius: 8px;
  margin-top: 273px;
  background: #fff;
  padding-top: 16px;
}

.container-1 {
  background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/house.png');
  background-size: 430px 280px;
}

.container-2 {
  background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/budget.png');
  background-size: 405px 280px;
}

.container-3 {
  background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/shows.png');
  background-size: 500px 350px;
}

.container-4 {
  background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/Capstone.png');
  background-size: 430px 280px;
}

.container-5 {
  background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/AwesomeBooks.png');
  background-size: 405px 280px;
}

.container-6 {
  background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/ToDos.png');
  background-size: 500px 350px;
}

h3,
h4 {
  font-family: "Inter", sans-serif;
  font-weight: 600;
  font-size: 24px;
  text-align: center;
  line-height: 32px;
  margin: 0 16px;
  color: #3a4a42;
  font-style: normal;
}

.listLanguage {
  display: flex;
  justify-content: center;
  padding-top: 16px;
  list-style-type: none;
  padding-left: 0;
}

.languages {
  margin-left: 5px;
  padding: 8px 11px;
  font-family: "Inter", sans-serif;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  letter-spacing: 0.03em;
  color: #3a4a42;
  background: #ebf0ee;
  border-radius: 4px;
}

.secondContainerBtn {
  display: flex;
  justify-content: center;
  padding: 28px 28px;
}

.see-project {
  padding: 12px;
  background: #36b37f;
  font-family: "Inter", sans-serif;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  letter-spacing: 0.03em;
  color: #fff;
  border-style: none;
  border-radius: 4px;
  cursor: pointer;
}

.closeBtnContainer {
  position: absolute;
  top: 22px;
  right: 28px;
}

.closeBtn {
  background: transparent;
  border: none;
  font-size: 50px;
  cursor: pointer;
  float: right;
  color: white;
}

.desktopCloseBtn {
  display: none;
}

.overlay {
  width: 100%;
  height: 100vh;
  background: #c1c7d0;
  display: none;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
}

.popupContainer {
  width: 95%;
  height: 760px;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  margin: 20px 0;
  position: relative;
  border-radius: 16px;
}

.popupImgContainer1 {
  display: flex;
  justify-content: center;
  padding-top: 10px;
}

.popupImg {
  width: 95%;
  padding: 10px;
}

.popHeading {
  font-style: normal;
  font-weight: 600;
  font-size: 32px;
  line-height: 44px;
  color: #172b4d;
  padding-left: 16px;
  margin: 0;
}

.techList {
  display: flex;
  list-style-type: none;
  padding-left: 0;
  padding-left: 16px;
  margin-bottom: 0;
}

.techItem {
  background: #ebf0ee;
  margin-right: 8px;
  padding: 8px 12px;
  border-radius: 4px;
}

.popPara {
  padding: 0 16px;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #344563;
}

.popupBtnContainer {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.popupBtn {
  display: flex;
  background: #36b37f;
  border-radius: 4px;
  border-color: transparent;
  justify-content: center;
  padding: 8px 8px;
  align-items: center;
  margin-right: 5px;
  margin-top: 8px;
}

.popupBtn a {
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  display: flex;
  align-items: center;
  text-align: center;
  letter-spacing: 0.03em;
  color: #fff;
  text-decoration: none;
  margin-right: 14px;
}

@media screen and (min-width: 1181px) {
  .workContainer {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(1, 1fr);
    column-gap: 24px;
    justify-content: center;
    padding-top: 62px;
    padding-bottom: 88px;
    padding-left: 135px;
    padding-right: 135px;
  }

  .indicator {
    display: none;
  }

  .workText {
    padding-top: 80px;
  }
}

@media screen and (max-width: 1180px) and (min-width: 768px) {
  .workContainer {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(1, 1fr);
    column-gap: 0;
    justify-items: center;
  }

  .firstContainer {
    background: #ebf0ee;
    outline: 1px solid #d0d9d4;
    height: fit-content;
    width: 235px;
    left: 0;
    top: 0;
    border: 1px solid #d0d9d4;
    border-radius: 8px;
    background-repeat: no-repeat;
    background-size: contain;
  }

  .secondContainer {
    border-radius: 8px;
    margin-top: 210px;
    background: #fff;
    padding-top: 0;
  }

  .container-1 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/house.png');
    background-size: 430px 280px;
  }

  .container-2 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/budget.png');
    background-size: 405px 280px;
  }

  .container-3 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/shows.png');
    background-size: 500px 350px;
  }

  .container-4 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/Capstone.png');
    background-size: 430px 280px;
  }

  .container-5 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/AwesomeBooks.png');
    background-size: 405px 280px;
  }

  .container-6 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/ToDos.png');
    background-size: 500px 350px;
  }

  .PopupImg {
    width: 95%;
    padding: 10px;
  }

  .see-project {
    padding: 10px;
    background: #36b37f;
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 15px;
    line-height: 22px;
    letter-spacing: 0.03em;
    color: #fff;
    border-style: none;
    border-radius: 4px;
  }

  .secondContainerBtn {
    display: flex;
    justify-content: center;
    padding: 23px 23px;
  }

  .languages {
    margin-left: 5px;
    padding: 8px 11px;
    font-family: "Inter", sans-serif;
    font-weight: 600;
    font-size: 7px;
    line-height: 16px;
    color: #3a4a42;
    background: #ebf0ee;
    border-radius: 4px;
  }

  .listLanguage {
    display: flex;
    justify-content: center;
  }

  h4 {
    font-family: "Inter", sans-serif;
    font-weight: 600;
    font-size: 24px;
    text-align: center;
    line-height: 32px;
    margin: 0 16px;
    color: #3a4a42;
    font-style: normal;
    padding-top: 6px;
  }

  .heroIntro {
    padding-bottom: 0;
  }
}

@media (max-width: 767px) {
  .container-1 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/house.png');
    background-size: 375px 280px;
  }

  .container-2 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/budget.png');
    background-size: 325px 280px;
  }

  .container-3 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/shows.png');
    background-size: 385px 375px;
  }

  .container-4 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/Capstone.png');
    background-size: 375px 280px;
  }

  .container-5 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/AwesomeBooks.png');
    background-size: 325px 280px;
  }

  .container-6 {
    background-image: url('https://Kgomotso196.github.io/MyPortfolio/pngFiles/ToDos.png');
    background-size: 385px 375px;
  }
}

@media only screen and (min-width: 768px) {
  .popupImg {
    width: 100%;
    height: auto;
  }

  .popupContainer {
    height: 90vh;
    overflow: scroll;
    position: relative;
    width: 60%;
    border-radius: 8px;
  }

  .popHeading {
    font-style: normal;
    font-weight: 700;
    font-size: 32px;
    line-height: 44px;
    margin: 24px 0 20px 0;
  }

  .popPara {
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 30px;
    margin: 44px 0;
  }

  .popDiv1 {
    order: 1;
    width: 60%;
  }

  .popDiv3 {
    order: 2;
    width: 40%;
  }

  .popDiv2 {
    order: 3;
  }

  .popDiv {
    display: flex;
    flex-wrap: wrap;
  }

  .closeBtn {
    display: none;
  }

  .desktopCloseBtn {
    cursor: pointer;
    display: block;
  }

  .popupImgContainer1 {
    padding-top: 60px;
  }
}
